DBusMessage Struct Reference
DBusMessage implementation details

Internals of DBusMessage. More...

`#include <dbus-message-private.h>`

## Data Fields

DBusAtomic | refcount
| Reference count.
DBusHeader | header
| Header network data and associated cache.
DBusString | body
| Body network data. More...
unsigned int | locked: 1
| Message being sent, no modifications allowed. More...
unsigned int | in_cache: 1
| Has been "freed" since it's in the cache (this is a debug feature)
DBusList * | counters
| 0-N DBusCounter used to track message size/unix fds. More...
long | size_counter_delta
| Size we incremented the size counters by. More...
dbus_uint32_t | changed_stamp: CHANGED_STAMP_BITS
| Incremented when iterators are invalidated. More...
DBusDataSlotList | slot_list
| Data stored by allocated integer ID.
int | generation
| _dbus_current_generation when message was created

## Detailed Description

Internals of DBusMessage.

Object representing a message received from or to be sent to another application. This is an opaque object, all members are private.

Definition at line 97 of file dbus-message-private.h.

## Field Documentation

DBusString DBusMessage::body

Body network data.

Definition at line 103 of file dbus-message-private.h.

Referenced by _dbus_message_add_counter_link(), _dbus_message_get_network_data(), dbus_message_copy(), dbus_message_iter_init(), dbus_message_iter_init_append(), dbus_message_lock(), and dbus_message_marshal().

dbus_uint32_t DBusMessage::changed_stamp

Incremented when iterators are invalidated.

Definition at line 114 of file dbus-message-private.h.

DBusList* DBusMessage::counters

0-N DBusCounter used to track message size/unix fds.

Definition at line 111 of file dbus-message-private.h.

Referenced by _dbus_message_add_counter_link(), and _dbus_message_remove_counter().

unsigned int DBusMessage::locked

Message being sent, no modifications allowed.

Definition at line 105 of file dbus-message-private.h.

Referenced by _dbus_message_get_network_data(), _dbus_message_get_unix_fds(), dbus_message_copy(), dbus_message_lock(), dbus_message_marshal(), dbus_message_set_auto_start(), dbus_message_set_destination(), dbus_message_set_error_name(), dbus_message_set_interface(), dbus_message_set_member(), dbus_message_set_no_reply(), dbus_message_set_path(), dbus_message_set_reply_serial(), dbus_message_set_sender(), and dbus_message_set_serial().

long DBusMessage::size_counter_delta

Size we incremented the size counters by.

Definition at line 112 of file dbus-message-private.h.

Referenced by _dbus_message_add_counter_link(), and _dbus_message_remove_counter().

The documentation for this struct was generated from the following file:

- dbus-message-private.h